%define ext_guid '{3550f703-e582-4d05-9a08-453d09bdfdc6}'

Name: thunderbird-google_contacts
License: MPL
Group: Applications/Internet
Summary: Google Contacts access for Thunderbird
Version: 0.6.33
Release: 1%{?dist}
URL: http://gitorious.org/lightning-exchange-provider/pages/Home
Packager: Jaroslaw Polok <jaroslaw.polok@cern.ch>
Vendor: CERN, http://cern.ch/linux
Source0: google_contacts-%{version}-tb.xpi
Source100: mozilla-extension-update.sh
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildRequires: unzip
Requires:  thunderbird-lightning


%description
Access bi-directionaly to Google contacts via address books.
This extension detects gmail accounts which have already set up
and creates address books for each of them. Cards in the address
books are synchronized with Google contacts; they represent the current
Google contacts contents and Google contacts will be modified when you
modify the cards. TB's mailing lists and Google's contacts groups are 
synchronized in the same manner.

%define update_thunderbird \\\
  %{_libdir}/%{name}/mozilla-extension-update.sh --appname thunderbird \\\
  --extname %{ext_guid} --basedir %{_libdir} --extpath %{_libdir}/%{name} --action

%post
%{update_thunderbird} install ||:

%preun
if [ $1 = 0 ]; then
 %{update_thunderbird} remove ||:
fi 

%triggerin -- thunderbird
%{update_thunderbird} install ||:


%files
%defattr(-,root,root,-)
%{_libdir}/%{name}
%{_libdir}/%{name}/*

%build

%install

mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}
unzip -qod $RPM_BUILD_ROOT%{_libdir}/%{name} %{SOURCE0}
install -p -m 755 %{SOURCE100} $RPM_BUILD_ROOT%{_libdir}/%{name}/mozilla-extension-update.sh


%changelog

* Thu Jun 17 2010 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 0.5.56
- Initial release for slc5
- Modeled this package on Lubomir Rintel one from EPEL for thunderbird-lightning.
